angular.module('demoWidget5Module')

    /**
     * Configuration for the custom widget
     * The config contains all configurable properties of the widget
     */
    .config(['dashboardProviderProvider','columnTypeConfigUrlServiceProvider',
        function (dashboardProviderProvider, columnTypeConfigUrlServiceProvider) {
            dashboardProviderProvider.widget('demoWidget5', {
                title: 'Demo Widget 5',
                category: 'customWidget',
                toolTip : {
                    "de":"Demo Widget 5",
                    "en":"Demo Widget 5"
                },
                actions: ['assignData',
                    'editName',
                    'hideHeader','hideBorder',
                    'autoRefresh',
                    'hLine',
                    'preselection',
                    'copy', 'paste', 'cut', 'delete',
                    'toTop', 'bringForward', 'sendBackward', 'toBack'],
                viewModeActions: ['deleteSelection'],
                description: 'Demo Widget 5 - Selection',
                templateUrl: 'widgets/customWidgets/demoWidget5/partials/demoWidget5.html',
                iconUrl: 'widgets/customWidgets/demoWidget5/assets/images/demoWidget5MenuIcon_32x32.png',
                controller: 'demoWidget5Ctrl',
                container: {
                    hideHeader: false,
                    hideBorder: false,
                    width: 400,
                    height: 300,
                    contentMinHeight: 60,
                    contentMinWidth: 60
                },
                assignData: 'widgets/customWidgets/demoWidget5/partials/assignDataDialog/assignData.html',
                assignColumns: 'widgets/customWidgets/demoWidget5/partials/assignDataDialog/assignColumns.html',
                advancedProperties: 'widgets/customWidgets/demoWidget5/partials/assignDataDialog/advancedProperties.html',
                resolve: {
                    widgetInterface: function(config, demoWidget5DataService) {
                        config.widgetInterface = {
                            getDataMapping: demoWidget5DataService.getDataMapping,
                            calculateCoordinateList: demoWidget5DataService.calculateCoordinateList
                        };
                    }
                },
                thresholdProperties: 'widgets/customWidgets/demoWidget5/partials/assignDataDialog/thresholdProperties.html'
            });

            columnTypeConfigUrlServiceProvider.addColumnTypeUrlMapByWidget('demoWidget5',
                {
                    NUMERIC : ['widgets/customWidgets/demoWidget5/partials/assignDataDialog/columnTypeConfigTemplates', 'numeric.html'].join('/'),
                    DATE : ['widgets/customWidgets/demoWidget5/partials/assignDataDialog/columnTypeConfigTemplates', 'date.html'].join('/'),
                    TEXT : ['widgets/customWidgets/demoWidget5/partials/assignDataDialog/columnTypeConfigTemplates', 'text.html'].join('/')
                });
        }
    ]);